org.kie.internal.builder.conf

## Class KBuilderSeverityOption

- java.lang.Object
- - org.kie.internal.builder.conf.KBuilderSeverityOption

- All Implemented Interfaces:
    Serializable, org.kie.api.conf.Option, KnowledgeBuilderOption, MultiValueKnowledgeBuilderOption

      public class KBuilderSeverityOption
      extends Object
      implements MultiValueKnowledgeBuilderOption

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static KBuilderSeverityOption` | `get(String key, ResultSeverity severity)`
    `static KBuilderSeverityOption` | `get(String key, String severityString)`
    `String` | `getName()`
    `String` | `getPropertyName()`
    `ResultSeverity` | `getSeverity()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static String PROPERTY_NAME

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### get

          public static KBuilderSeverityOption get(String key,
                                                   ResultSeverity severity)

    - #### get

          public static KBuilderSeverityOption get(String key,
                                                   String severityString)

    - #### getName

          public String getName()

    - #### getSeverity

          public ResultSeverity getSeverity()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.